## demo 2022-03-15

# load packages
library(tidyverse)
library(tidygraph)
library(ggraph)

# load csv files
demo_nodes <- read_csv("demo-nodes-2.csv") # nodes means states
demo_edges <- read_csv("demo-edges-2.csv") # nodes mean state a borders with state b

# define undirected network data structure
demo_net_undirected <- tbl_graph(nodes = demo_nodes,
                                edges = demo_edges,
                                directed = FALSE)

# plot undirected data structure
ggraph(demo_net_undirected, layout = "kk") +
  geom_edge_link() +
  geom_node_point(size = 5) +
  geom_node_text(aes(label = name), vjust = 1.25, hjust = 1.25) +
  theme(panel.background = element_blank())

# define directed network data structure
demo_net_directed <- tbl_graph(nodes = demo_nodes,
                                 edges = demo_edges,
                                 directed = TRUE)

# define arrows
arrow_s <- arrow(type = "open", length = unit(0.25, "inches"))

# plot directed network
ggraph(demo_net_directed, layout = "kk") +
  geom_edge_link(arrow = arrow_s, end_cap = circle(0.15,"inches"), 
                 edge_width = 1) +
  geom_node_point(size = 5) +
  geom_node_text(aes(label = name), vjust = 1.25, hjust = 1.25) +
  theme(panel.background = element_blank())
                 